
/*	Copyright (C) G. Jespersen
	See Licence.txt.*/

#include "afxwin.h"
#if !defined(AFX_DOWNLOADDIALOG_H__3736C0DC_FEBF_49DD_A054_1D638C0628FC__INCLUDED_)
#define AFX_DOWNLOADDIALOG_H__3736C0DC_FEBF_49DD_A054_1D638C0628FC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DownloadDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDownloadDialog dialog

class CDownloadDialog : public CDialog
{
// Construction
public:
	CDownloadDialog(CWnd* pParent = NULL);   // standard constructor
	~CDownloadDialog();

// Dialog Data
	//{{AFX_DATA(CDownloadDialog)
	enum { IDD = IDD_DIALOG_DOWNLOAD };
	CButton			m_ctrlButtonFolder;
	CButton			m_ctrlButtonClear;
	CButton			m_ctrlDownloadButton;
	CProgressCtrl	m_ctrlProgressVid;
	CProgressCtrl	m_ctrlProgress;
	CEdit			m_ctrlEditMsg;
	CEdit			m_ctrlDirectory;
	CStatic			m_ctrlStaticKBps;	
	CStatic			m_ctrlStaticNumVids;
	CListBox		m_ctrlListBox;
	CString			m_strEditMsg;
	CString			m_strFolderPath;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDownloadDialog)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDownloadDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonDownload();
	afx_msg void OnChangeFolderPath();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnButtonClear();
	//}}AFX_MSG

	afx_msg LRESULT OnStatusString (WPARAM wParam, LPARAM lParam);	// WM_USER_STATUS_STRING
	afx_msg LRESULT OnProgressMax (WPARAM wParam, LPARAM lParam);	// WM_USER_PROGRESS_MAX
	afx_msg LRESULT OnProgressPos (WPARAM wParam, LPARAM lParam);	// WM_USER_PROGRESS_POS
	afx_msg LRESULT OnProgress2Max (WPARAM wParam, LPARAM lParam);	// WM_USER_PROGRESS2_MAX
	afx_msg LRESULT OnProgress2Pos (WPARAM wParam, LPARAM lParam);	// WM_USER_PROGRESS2_POS
	afx_msg LRESULT OnDownloadFinished(WPARAM wParam, LPARAM lParam);	// WM_USER_FINISHED
	afx_msg LRESULT OnUpdateList(WPARAM wParam, LPARAM lParam);		// WM_USER_DLG_UPDATE
	afx_msg LRESULT OnKBps(WPARAM wParam, LPARAM lParam);			// WM_USER_KBPS


	DECLARE_MESSAGE_MAP()

	// Scrolling
	int m_nDlgHeight;	// Workspace height in pixels
	int m_nVScrollPos;	// Vertical scroll position
	int m_nVPageSize;	// Vertical page size
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DOWNLOADDIALOG_H__3736C0DC_FEBF_49DD_A054_1D638C0628FC__INCLUDED_)
