
/*	Copyright (C) G. Jespersen
	See Licence.txt.*/

#if !defined DUMP_H
#define DUMP_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// dbghelp.dll 
// 6.1				Win7
// 5.2.3790.3959	03 Server
// 5.1.2600.5512	XP ?
// 5.0.2195.6613	Win2k - no good - no MiniDumpWriteDump() - 5.1 min.
#include <dbghelp.h> 


////////////////////////////////////////////////////////////////////
// Global - hacked from: 
//	www.debuginfo.com, Author: Oleg Starodumov
//	www.randomascii.wordpress.com/2012/07/22/more-adventures-in-failing-to-crash-properly/
//
void SetKhanExceptionFilter(const CString & dumpFilePath);
LONG __stdcall KhanExceptionFilter(EXCEPTION_POINTERS * pep); 
void CreateMiniDump(EXCEPTION_POINTERS * pep);

#if VS2005
void __cdecl HandleInvalidParameter(const wchar_t *, const wchar_t *, 
									const wchar_t *, unsigned int, uintptr_t);
#endif 

// test loadlib
bool __cdecl LoadDbgDll(void);


#endif //DUMP_H

// LoadLibrary
